Checks if a ticket created is from the sent alert

Checks for a ticket Event with the provided messageId to have created a ticket in the PSA

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Details

This API Call provides a log of the Alert you created in the Add an alert to the alerting queue API Call.

Requirements

After creating the alert, use the messageId to retrieve the status.

Sample Response

When an Alert has successfully been created, you will receive a response like the one below.

{
  "ticketId": "9..5",
  "createdAt": "2023-06-06T15:58:04.914Z",
  "status": "success",
  "message": "Alert has been successfully consumed. A ticket has been created within autotask"
}

If the alert fails to create, it is typically due to the Account or Service not being mapped within Synthesize, preventing the alert from making it to the PSA.

{
  "messageId": "2a1868b1-63ca-45d1-9d11-aafbf6ca594f",
  "status": "failed",
  "errors": [
    "Unexpected message handler failure: Http Exception"
  ]
}
Path Params
string
required
Responses

401

Unauthorized

403

Forbidden

404

Unknown resource

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json